"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var mocks_1 = require("./mocks");
var Remocking_1 = require("./Remocking");
var resolver = function (type, props, children) {
    if (type === Remocking_1.Remocking) {
        props.__unmock = mocks_1.mock(props.component, props.by);
    }
    var mocks = mocks_1.getMocks().filter(function (match) { return match.test(type, props || {}, children); });
    if (mocks.length) {
        return mocks[mocks.length - 1].replace(type, props, children);
    }
    return { type: type, props: props, children: children };
};
exports.resolver = resolver;
